/************************************************************************
 * clocmn.h								*
 *									*
 * This file contains definitions used by the CGEMLIB cbf functions.	*
 *									*
 **									*
 * S. Jacobs/NCEP	11/98						*
 ***********************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <malloc.h>
#include <math.h>
#include <time.h>
#include <sys/time.h>
#include <errno.h>
#include <sys/ipc.h>
#include <sys/msg.h>
#include <signal.h>
#include <dirent.h>
#include <sys/wait.h>
#include <stdarg.h>
#include <ctype.h>
#include <limits.h>

#define G_TRUE		(   1 )
#define G_FALSE		(   0 )
#define LLPATH		( 256 )

/* Macro definitions */

#define G_MAX(a,b)	( ( (a) > (b) ) ? (a) :  (b) )
#define G_MIN(a,b)	( ( (a) < (b) ) ? (a) :  (b) )
#define G_ABS(a)	( ( (a) >= 0  ) ? (a) : -(a) )
#define G_NINT(x)	(((x)<0)?((((x)-(int)(x))<=-.5)?(int)((x)-.5):(int)(x)):((((x)-(int)(x))>=.5)?(int)((x)+.5):(int)(x)))

#define ERMISS(xxxx)	( G_ABS(xxxx-RMISSD) < RDIFFD )

typedef union b_to_i {
    unsigned char	byte[4];
    int			integer;
} byte_to_int;

#ifdef BFGLOBAL

	FILE		*fpbf;
				/* BUFR file pointer */

	unsigned long	ibcnt;
				/* Byte counter for file position */

#else

	extern FILE		*fpbf;
	extern unsigned long	ibcnt;

#endif
